org.eclipse.actf.util.httpproxy.util

## Class ParseURI

- java.lang.Object
- - org.eclipse.actf.util.httpproxy.util.ParseURI

    public class ParseURI
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ParseURI()`

### Method Summary

Methods
`static String` `eliminateQuery(String uri)`
`static String` `getAbsolutePath(String uri)`
`static String` `getAuthority(String uri)`
`static String` `parseHost(String hostStr)`
`static int` `parsePort(String hostStr, int defaultPort)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParseURI

    public ParseURI()

### Method Detail

#### getAuthority

    public static String getAuthority(String uri)

Parameters:
  `uri` -
Returns:

#### getAbsolutePath

    public static String getAbsolutePath(String uri)

Parameters:
  `uri` -
Returns:

#### parseHost

    public static String parseHost(String hostStr)

Parameters:
  `hostStr` -
Returns:

#### parsePort

    public static int parsePort(String hostStr,
                int defaultPort)

Parameters:
  `hostStr` -
  `defaultPort` -
Returns:

#### eliminateQuery

    public static String eliminateQuery(String uri)

Parameters:
  `uri` -
Returns: